| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkGraphics::ShaderPassCustomDummySlot Class Reference

A dummy custom pass slot. More...

Inheritance diagram for nkGraphics::ShaderPassCustomDummySlot:

## Public Member Functions
| ShaderPassCustomDummySlot (System *system) noexcept
void | setTypeName (nkMemory::StringView value)
virtual unsigned int | getDataByteSize () override
virtual void | fillDataBuffer (void *buffer) override
Public Member Functions inherited from nkGraphics::ShaderPassCustomSlot
| ShaderPassCustomSlot (System *system) noexcept
virtual | ~ShaderPassCustomSlot ()
nkMemory::StringView | getTypeName () const

## Detailed Description

A dummy custom pass slot.

Used as a place holder when importing shaders featuring custom slots. The dummy slot will have to be replaced by the application knowing about the precise custom slot to use, after resource loading.

## Constructor & Destructor Documentation

## ◆ ShaderPassCustomDummySlot()

nkGraphics::ShaderPassCustomDummySlot::ShaderPassCustomDummySlot | ( | System * | system | ) |
| noexcept

Constructor.

Parameters

  system | The system the resource should live in.

## Member Function Documentation

## ◆ setTypeName()

void nkGraphics::ShaderPassCustomDummySlot::setTypeName | ( | nkMemory::StringView | value | ) |

Parameters

  value | The type name to override.

## ◆ getDataByteSize()

virtual unsigned int nkGraphics::ShaderPassCustomDummySlot::getDataByteSize | ( |  | ) |
| override virtual

See SHaderPassCustomSlot::getDataByteSize().

Implements nkGraphics::ShaderPassCustomSlot.

## ◆ fillDataBuffer()

virtual void nkGraphics::ShaderPassCustomDummySlot::fillDataBuffer | ( | void * | buffer | ) |
| override virtual

See ShaderPassCustomSlot::fillDataBuffer().

Implements nkGraphics::ShaderPassCustomSlot.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Shaders/Memory/ShaderPassCustomDummySlot.h